<template>
  <v-layout class="py-2" align-center>
    <v-btn icon flat @mousedown="setReaction('POSITIVE')" class="mx-1 text-xs-center">
      <v-icon
        :class="{'feedback-thumbs__icons': reaction === 'POSITIVE'}"
        :color="likeIconColor"
        dark
      >thumb_up</v-icon>
    </v-btn>
    <v-btn icon flat @mousedown="setReaction('NEGATIVE')" class="mx-1 text-xs-center">
      <v-icon class="feedback-thumbs__icons" :color="deslikeIconColor">thumb_down</v-icon>
    </v-btn>
  </v-layout>
</template>

<script>
export default {
  data() {
    return {
      reaction: '',
    };
  },
  props: {
    correct: {
      type: Boolean,
      default: false,
    },
  },
  methods: {
    setReaction(data) {
      this.reaction = data;
      this.$emit('input', this.reaction);
    },
  },
  computed: {
    likeIconColor() {
      return this.reaction === 'POSITIVE' ? 'green' : 'white';
    },
    deslikeIconColor() {
      return this.reaction === 'NEGATIVE' ? 'gray' : 'white';
    },
  },
};
</script>


<style lang="sass">
@import ~@/styles/components/transitions.sass

.feedback-thumbs
  &__icons
    animation: example 1s ease

  @keyframes example
    from:
      background-color: red
    to:
      background-color: yellow

</style>
